/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 添加钱包开户回访记录 POST /api/Wallet/AddWalletAccountOpenFollow */
export async function addWalletAccountOpenFollow(
  body: API.AddWalletAccountOpenFollowInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/AddWalletAccountOpenFollow', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 提交银行钱包开户申请 POST /api/Wallet/ApplyBankWalletAccountOpen */
export async function applyBankWalletAccountOpen(
  body: API.ApplyBankWalletAccountOpenInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyBankWalletAccountOpen', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 申请批量付款 POST /api/Wallet/ApplyWalletBatchTransfer */
export async function applyWalletBatchTransfer(
  body: API.ApplyWalletBatchTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyWalletBatchTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 发薪申请提交 POST /api/Wallet/ApplyWalletBatchTransferForOrderSettle */
export async function applyWalletBatchTransferForOrderSettle(
  body: API.ApplyWalletBatchTransferForOrderSettleInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyWalletBatchTransferForOrderSettle', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 充值申请 POST /api/Wallet/ApplyWalletRecharge */
export async function applyWalletRecharge(
  body: API.WalletRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyWalletRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 提交对单转账申请 POST /api/Wallet/ApplyWalletSingleTransfer */
export async function applyWalletSingleTransfer(
  body: API.ApplyWalletSingleTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyWalletSingleTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 对公转账提交 POST /api/Wallet/ApplyWalletSingleTransferForOrderSettle */
export async function applyWalletSingleTransferForOrderSettle(
  body: API.ApplyWalletSingleTransferForOrderSettleInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/ApplyWalletSingleTransferForOrderSettle', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 审核批量付款 POST /api/Wallet/AuditWalletBatchTransfer */
export async function auditWalletBatchTransfer(
  body: API.AuditWalletBatchTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/AuditWalletBatchTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 审核批量付款明细 POST /api/Wallet/AuditWalletBatchTransferDetail */
export async function auditWalletBatchTransferDetail(
  body: API.AuditWalletBatchTransferDetailInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/AuditWalletBatchTransferDetail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 审核对单转账申请 POST /api/Wallet/AuditWalletSingleTransfer */
export async function auditWalletSingleTransfer(
  body: API.AuditWalletSingleTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/AuditWalletSingleTransfer', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 审核线下支付申请 POST /api/Wallet/AuditWalletSingleTransferForOffline */
export async function auditWalletSingleTransferForOffline(
  body: API.AuditWalletSingleTransferInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/AuditWalletSingleTransferForOffline', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 计算批量付款手续费 POST /api/Wallet/CalculationWalletBatchImportTempPayFee */
export async function calculationWalletBatchImportTempPayFee(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcalculationWalletBatchImportTempPayFeeParams,
  body: API.AddWalletBatchImportTempInput[],
  options?: API.RequestConfig
) {
  return request<API.AddWalletBatchImportTempInput[]>(
    '/api/Wallet/CalculationWalletBatchImportTempPayFee',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...params,
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 计算付款手续费 POST /api/Wallet/CalculationWalletPayFee */
export async function calculationWalletPayFee(
  body: API.CalculationWalletPayFeeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/CalculationWalletPayFee', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 校验银行钱包开户验证码 POST /api/Wallet/CheckBankWalletAccountOpenVerificationCode */
export async function checkBankWalletAccountOpenVerificationCode(
  body: API.CheckPhoneVerificationCodeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/CheckBankWalletAccountOpenVerificationCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 审核充值申请 POST /api/Wallet/CheckWalletRecharge */
export async function checkWalletRecharge(
  body: API.CheckWalletRechargeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/CheckWalletRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除批量付款临时数据 GET /api/Wallet/DeleteWalletBatchImportTemp */
export async function deleteWalletBatchImportTemp(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteWalletBatchImportTempParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/DeleteWalletBatchImportTemp', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 导出用户平安银行流水明细列表 POST /api/Wallet/ExportGetUserPingAnTransactionRecordList */
export async function exportGetUserPingAnTransactionRecordList(
  body: API.QueryUserTransactionRecordPageInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Wallet/ExportGetUserPingAnTransactionRecordList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询所有银行下拉数据 POST /api/Wallet/GetAllBankDropdown */
export async function getAllBankDropdown(options?: API.RequestConfig) {
  return request<API.AllBankListOutput[]>('/api/Wallet/GetAllBankDropdown', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 获取电子回单信息 GET /api/Wallet/GetElecBillInfo */
export async function getElecBillInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetElecBillInfoParams,
  options?: API.RequestConfig
) {
  return request<API.ElecBillInfoOutput>('/api/Wallet/GetElecBillInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取批量付款临时数据分页列表 GET /api/Wallet/GetStatsWalletBatchTransferData */
export async function getStatsWalletBatchTransferData(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetStatsWalletBatchTransferDataParams,
  options?: API.RequestConfig
) {
  return request<API.DecimalDecimalValueTuple>('/api/Wallet/GetStatsWalletBatchTransferData', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取交易明细 POST /api/Wallet/GetUserTransactionDetailList */
export async function getUserTransactionDetailList(
  body: API.QueryWalletTransactionDetailList,
  options?: API.RequestConfig
) {
  return request<API.UserTransactionRecordListOutputPageOutput>(
    '/api/Wallet/GetUserTransactionDetailList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取用户钱包流水明细详情信息 POST /api/Wallet/GetUserTransactionRecordDetail */
export async function getUserTransactionRecordDetail(
  body: API.QueryUserTransactionRecordDetailInput,
  options?: API.RequestConfig
) {
  return request<API.UserTransactionRecordDetailOutput>(
    '/api/Wallet/GetUserTransactionRecordDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取用户流水明细分页列表 POST /api/Wallet/GetUserTransactionRecordPage */
export async function getUserTransactionRecordPage(
  body: API.QueryUserTransactionRecordPageInput,
  options?: API.RequestConfig
) {
  return request<API.UserTransactionRecordListOutputPageOutput>(
    '/api/Wallet/GetUserTransactionRecordPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 管理后台获取用户流水明细分页列表 POST /api/Wallet/GetUserTransactionRecordPageForAdmin */
export async function getUserTransactionRecordPageForAdmin(
  body: API.QueryUserTransactionRecordPageForAdminInput,
  options?: API.RequestConfig
) {
  return request<API.UserTransactionRecordListOutputPageOutput>(
    '/api/Wallet/GetUserTransactionRecordPageForAdmin',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 查询用户所有钱包账户类型的开通信息下拉数据 POST /api/Wallet/GetUserWalletAccountTypeOpenInfoDropdown */
export async function getUserWalletAccountTypeOpenInfoDropdown(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetUserWalletAccountTypeOpenInfoDropdownParams,
  options?: API.RequestConfig
) {
  return request<API.WalletAccountTypeOpenInfoOutput[]>(
    '/api/Wallet/GetUserWalletAccountTypeOpenInfoDropdown',
    {
      method: 'POST',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 查询用户所有钱包账户类型的开通信息下拉数据,支持支付通道设置配置 POST /api/Wallet/GetUserWalletAccountTypeOpenInfoDropdownForPay */
export async function getUserWalletAccountTypeOpenInfoDropdownForPay(
  body: API.GetUserWalletAccountTypeOpenInfoInput,
  options?: API.RequestConfig
) {
  return request<API.WalletAccountTypeOpenInfoOutput[]>(
    '/api/Wallet/GetUserWalletAccountTypeOpenInfoDropdownForPay',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 根据钱包账户类型获取用户钱包余额信息 POST /api/Wallet/GetUserWalletBalanceInfoByType */
export async function getUserWalletBalanceInfoByType(
  body: API.WalletAccountTypeEnum,
  options?: API.RequestConfig
) {
  return request<API.UserWalletBalanceInfoOutput>('/api/Wallet/GetUserWalletBalanceInfoByType', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户流水明细分页列表 POST /api/Wallet/GetUserWalletTransactionRecordPage */
export async function getUserWalletTransactionRecordPage(
  body: API.QueryUserTransactionRecordPageInput,
  options?: API.RequestConfig
) {
  return request<API.UserTransactionRecordListOutputPageOutput>(
    '/api/Wallet/GetUserWalletTransactionRecordPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取钱包开户详细信息 POST /api/Wallet/GetWalletAccountOpenDetail */
export async function getWalletAccountOpenDetail(
  body: API.BaseIdInput,
  options?: API.RequestConfig
) {
  return request<API.WalletAccountOpenDetailOutput>('/api/Wallet/GetWalletAccountOpenDetail', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取钱包开户回访分页列表 POST /api/Wallet/GetWalletAccountOpenFollowPage */
export async function getWalletAccountOpenFollowPage(
  body: API.QueryWalletAccountOpenFollowPageInput,
  options?: API.RequestConfig
) {
  return request<API.WalletAccountOpenFollowListOutputPageOutput>(
    '/api/Wallet/GetWalletAccountOpenFollowPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取钱包开户管理分页列表 POST /api/Wallet/GetWalletAccountOpenManagePage */
export async function getWalletAccountOpenManagePage(
  body: API.QueryWalletAccountOpenManagePageInput,
  options?: API.RequestConfig
) {
  return request<API.WalletAccountOpenManageListOutputPageOutput>(
    '/api/Wallet/GetWalletAccountOpenManagePage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取批量付款临时数据分页列表 POST /api/Wallet/GetWalletBatchImportTempPage */
export async function getWalletBatchImportTempPage(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWalletBatchImportTempPageParams,
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.WalletBatchImportTempOutputPageOutput>(
    '/api/Wallet/GetWalletBatchImportTempPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...params,
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取批量付款详情 GET /api/Wallet/GetWalletBatchTransferDetailInfo */
export async function getWalletBatchTransferDetailInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWalletBatchTransferDetailInfoParams,
  options?: API.RequestConfig
) {
  return request<API.WalletBatchTransferDetailInfoOutput>(
    '/api/Wallet/GetWalletBatchTransferDetailInfo',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取批量付款明细列表 POST /api/Wallet/GetWalletBatchTransferDetailPage */
export async function getWalletBatchTransferDetailPage(
  body: API.QueryWalletBatchTransferDetailListInput,
  options?: API.RequestConfig
) {
  return request<API.WalletBatchTransferDetailListOutputPageOutput>(
    '/api/Wallet/GetWalletBatchTransferDetailPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取批量付款列表 POST /api/Wallet/GetWalletBatchTransferPage */
export async function getWalletBatchTransferPage(
  body: API.QueryWalletBatchTransferListInput,
  options?: API.RequestConfig
) {
  return request<API.WalletBatchTransferListOutputPageOutput>(
    '/api/Wallet/GetWalletBatchTransferPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 日账单明细 POST /api/Wallet/GetWalletDayDetailItemList */
export async function getWalletDayDetailItemList(
  body: API.QueryWalletDayDetailItemInput,
  options?: API.RequestConfig
) {
  return request<API.WalletDetailItemPageOutput>('/api/Wallet/GetWalletDayDetailItemList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询账户明细 GET /api/Wallet/GetWalletDetail */
export async function getWalletDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWalletDetailParams,
  options?: API.RequestConfig
) {
  return request<API.WalletBalanceDetailOutput>('/api/Wallet/GetWalletDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取账户管理列表 POST /api/Wallet/GetWalletMainList */
export async function getWalletMainList(
  body: API.QueryWalletMainListInput,
  options?: API.RequestConfig
) {
  return request<API.WalletMainListOutputPageOutput>('/api/Wallet/GetWalletMainList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 月账单明细 POST /api/Wallet/GetWalletMonthDetailItemList */
export async function getWalletMonthDetailItemList(
  body: API.QueryWalletMonthDetailItemInput,
  options?: API.RequestConfig
) {
  return request<API.WalletDetailItemPageOutput>('/api/Wallet/GetWalletMonthDetailItemList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取充值详情 GET /api/Wallet/GetWalletRechargeDetail */
export async function getWalletRechargeDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWalletRechargeDetailParams,
  options?: API.RequestConfig
) {
  return request<API.WalletRechargeOutput>('/api/Wallet/GetWalletRechargeDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取充值申请列表 POST /api/Wallet/GetWalletRechargeList */
export async function getWalletRechargeList(
  body: API.QueryWalletRechargeInput,
  options?: API.RequestConfig
) {
  return request<API.WalletRechargeOutputPageOutput>('/api/Wallet/GetWalletRechargeList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取对单转账详情 POST /api/Wallet/GetWalletSingleTransferDetail */
export async function getWalletSingleTransferDetail(
  body: API.BaseIdInput,
  options?: API.RequestConfig
) {
  return request<API.WalletSingleTransferDetailOutput>(
    '/api/Wallet/GetWalletSingleTransferDetail',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取对单转账分页列表 POST /api/Wallet/GetWalletSingleTransferPage */
export async function getWalletSingleTransferPage(
  body: API.QueryWalletSingleTransferPageInput,
  options?: API.RequestConfig
) {
  return request<API.WalletSingleTransferListOutputPageOutput>(
    '/api/Wallet/GetWalletSingleTransferPage',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 导入批量付款数据 POST /api/Wallet/ImportBatchTransferExcel */
export async function importBatchTransferExcel(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIimportBatchTransferExcelParams,
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.WalletBatchImportTempOutputPageOutput>(
    '/api/Wallet/ImportBatchTransferExcel',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      params: {
        ...params,
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 支付宝充值查询 GET /api/Wallet/QueryRecharge */
export async function queryRecharge(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIqueryRechargeParams,
  options?: API.RequestConfig
) {
  return request<API.WalletRechargeStatusEnum>('/api/Wallet/QueryRecharge', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 导出资金账单--日数据明细账单下载 POST /api/Wallet/QueryWalletDayDetailBillListForExport */
export async function queryWalletDayDetailBillListForExport(
  body: API.QueryWalletDetailBillInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Wallet/QueryWalletDayDetailBillListForExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询账户历史余额 POST /api/Wallet/QueryWalletDayHistoryBalance */
export async function queryWalletDayHistoryBalance(
  body: API.QueryWalletDayHistoryBalanceInput,
  options?: API.RequestConfig
) {
  return request<API.WalletDayHistoryBalanceOutputPageOutput>(
    '/api/Wallet/QueryWalletDayHistoryBalance',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 资金账单--日月数据明细 POST /api/Wallet/QueryWalletDetailBillList */
export async function queryWalletDetailBillList(
  body: API.QueryWalletDetailBillInput,
  options?: API.RequestConfig
) {
  return request<API.WalletDetailBillItemPageOutput>('/api/Wallet/QueryWalletDetailBillList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 资金账单---总额详情 POST /api/Wallet/QueryWalletDetailTotal */
export async function queryWalletDetailTotal(
  body: API.QueryWalletDetailBillInput,
  options?: API.RequestConfig
) {
  return request<API.WalletDetailTotalOutput>('/api/Wallet/QueryWalletDetailTotal', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出资金账单--月数据明细账单下载 POST /api/Wallet/QueryWalletMonthDetailBillListForExport */
export async function queryWalletMonthDetailBillListForExport(
  body: API.QueryWalletDetailBillInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Wallet/QueryWalletMonthDetailBillListForExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 录入钱包开户银行卡号 POST /api/Wallet/SetBankWalletAccountOpenAcctNo */
export async function setBankWalletAccountOpenAcctNo(
  body: API.SetBankWalletAccountOpenAcctNoInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/SetBankWalletAccountOpenAcctNo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传钱包开户银行凭证 POST /api/Wallet/SetBankWalletAccountOpenBankCertUrl */
export async function setBankWalletAccountOpenBankCertUrl(
  body: API.SetBankWalletAccountOpenBankCertUrlInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/SetBankWalletAccountOpenBankCertUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 录入钱包开户银行卡号 POST /api/Wallet/SetBankWalletAccountOpenOpentBankNode */
export async function setBankWalletAccountOpenOpentBankNode(
  body: API.SetBankWalletAccountOpenOpentBankNodeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/SetBankWalletAccountOpenOpentBankNode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置钱包状态 冻结 解冻 POST /api/Wallet/SetWalletMainStatus */
export async function setWalletMainStatus(
  body: API.SetWalletStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/SetWalletMainStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 修改批量付款临时数据 POST /api/Wallet/UpdateWalletBatchImportTemp */
export async function updateWalletBatchImportTemp(
  body: API.UpdateWalletBatchImportTempInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Wallet/UpdateWalletBatchImportTemp', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
